evas::canvas3d::mesh Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
evas::canvas3d::mesh Struct Reference

Class mesh. More...

## Public Member Functions
| mesh (Eo *eo)
| Eo Constructor. More...
| mesh (std::nullptr_t)
| nullptr_t Constructor. More...
| mesh (mesh const &other)
| Copy Constructor.
void | frame_vertex_data_set (int frame_, Evas_Canvas3D_Vertex_Attrib attrib_, int stride_, const void *data_) const
void | frame_vertex_data_copy_set (int frame_, Evas_Canvas3D_Vertex_Attrib attrib_, int stride_, const void *data_) const
void * | frame_vertex_data_map (int frame_, Evas_Canvas3D_Vertex_Attrib attrib_) const
void | frame_vertex_data_unmap (int frame_, Evas_Canvas3D_Vertex_Attrib attrib_) const
int | frame_vertex_stride_get (int frame_, Evas_Canvas3D_Vertex_Attrib attrib_) const
void | index_data_set (Evas_Canvas3D_Index_Format format_, int count_, const void *indices_) const
void | convex_hull_data_get (int frame_, Eina_Inarray *vertex_, Eina_Inarray *index_) const
void | index_data_copy_set (Evas_Canvas3D_Index_Format format_, int count_, const void *indices_) const
Evas_Canvas3D_Index_Format | index_format_get () const
int | index_count_get () const
void * | index_data_map () const
void | index_data_unmap () const
bool | frame_exist (int frame_) const
void | frame_add (int frame_) const
void | frame_del (int frame_) const
void | fog_color_set (Evas_Real r_, Evas_Real g_, Evas_Real b_, Evas_Real a_) const
void | fog_color_get (Evas_Real *r_, Evas_Real *g_, Evas_Real *b_, Evas_Real *a_) const
void | blending_func_set (Evas_Canvas3D_Blend_Func sfactor_, Evas_Canvas3D_Blend_Func dfactor_) const
void | blending_func_get (Evas_Canvas3D_Blend_Func *sfactor_, Evas_Canvas3D_Blend_Func *dfactor_) const
void | from_primitive_set (int frame_,::evas::canvas3d::primitive primitive_) const
Evas_Canvas3D_Shade_Mode | shade_mode_get () const
void | shade_mode_set (Evas_Canvas3D_Shade_Mode mode_) const
bool | color_pick_enable_get () const
void | color_pick_enable_set (bool enabled_) const
unsigned int | vertex_count_get () const
void | vertex_count_set (unsigned int count_) const
bool | fog_enable_get () const
void | fog_enable_set (bool enabled_) const
bool | alpha_test_enable_get () const
void | alpha_test_enable_set (bool enabled_) const
void | alpha_func_get (Evas_Canvas3D_Comparison *comparison_func_, Evas_Real *ref_value_) const
void | alpha_func_set (Evas_Canvas3D_Comparison comparison_func_, Evas_Real ref_value_) const
bool | blending_enable_get () const
void | blending_enable_set (bool blending_) const
::evas::canvas3d::material | frame_material_get (int frame_) const
void | frame_material_set (int frame_,::evas::canvas3d::material material_) const
Evas_Canvas3D_Vertex_Assembly | vertex_assembly_get () const
void | vertex_assembly_set (Evas_Canvas3D_Vertex_Assembly assembly_) const
void | shadows_edges_filtering_get (int *blur_level_, Evas_Real *edges_size_) const
void | shadows_edges_filtering_set (int blur_level_, Evas_Real edges_size_) const
Evas_Real | shadows_constant_bias_get () const
void | shadows_constant_bias_set (Evas_Real bias_) const
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_async_error_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_async_opened_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_clicked_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_clicked_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_collision_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_collision_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| mesh (::efl::eo::parent_type _p)
| Constructs a new evas::canvas3d::mesh object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from efl::file
| file (Eo *eo)
| Eo Constructor. More...
| file (std::nullptr_t)
| nullptr_t Constructor. More...
| file (file const &other)
| Copy Constructor.
bool | save (::efl::eina::string_view file_,::efl::eina::string_view key_,::efl::eina::string_view flags_) const
void | eject () const
bool | async_wait () const
void | mmap_get (const Eina_File **f_, const char **key_) const
bool | mmap_set (const Eina_File *f_,::efl::eina::string_view key_) const
void | file_get (const char **file_, const char **key_) const
bool | file_set (::efl::eina::string_view file_,::efl::eina::string_view key_) const
bool | async_get () const
void | async_set (bool async_) const
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_async_error_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_async_opened_call (T *info)
| file (::efl::eo::parent_type _p)
| Constructs a new efl::file object. More...
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
::eo::base | constructor () const
void | destructor () const
::eo::base | finalize () const
void | wref_add (::eo::base *wref_) const
void | wref_del (Eo_Base **wref_) const
void | key_data_set (::efl::eina::string_view key_, const void *data_) const
void * | key_data_get (::efl::eina::string_view key_) const
void | key_data_del (::efl::eina::string_view key_) const
void | event_thaw () const
void | event_freeze () const
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::eo::base new_obj_) const
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::eo::base new_obj_) const
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
Eina_Iterator * | children_iterator_new () const
::eo::base | parent_get () const
void | parent_set (::eo::base parent_) const
int | event_global_freeze_count_get () const
int | event_freeze_count_get () const
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::canvas3d::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
void | change (Evas_Canvas3D_State state_,::evas::canvas3d::object ref_) const
Evas_Canvas3D_Object_Type | type_get () const
void | type_set (Evas_Canvas3D_Object_Type type_) const
bool | dirty_get (Evas_Canvas3D_State state_) const
void | update () const
void | update_notify () const
void | change_notify (Evas_Canvas3D_State state_,::evas::canvas3d::object ref_) const
void | callback_register (::efl::eina::string_view event_, const void *data_) const
void | callback_unregister (::efl::eina::string_view event_) const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_clicked_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_clicked_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_collision_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_collision_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| object (::efl::eo::parent_type _p)
| Constructs a new evas::canvas3d::object object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
::evas::common_interface | evas_get () const
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::file
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_thaw ()
static void | event_global_freeze ()
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::canvas3d::object
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class mesh.

## Constructor & Destructor Documentation

evas::canvas3d::mesh::mesh | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new evas::canvas3d::mesh object.

Constructs a new evas::canvas3d::mesh object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

evas::canvas3d::mesh my_mesh(efl::eo::parent = parent_object);

See also
  mesh(Eo* eo)

References efl::eo::parent.

evas::canvas3d::mesh::mesh | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

evas::canvas3d::mesh::mesh | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void evas::canvas3d::mesh::frame_vertex_data_set | ( | int | frame_,
|  | Evas_Canvas3D_Vertex_Attrib | attrib_,
|  | int | stride_,
|  | const void * | data_
| ) |  | const

Parameters

  frame |
  attrib |
  stride |
  data |

void evas::canvas3d::mesh::frame_vertex_data_copy_set | ( | int | frame_,
|  | Evas_Canvas3D_Vertex_Attrib | attrib_,
|  | int | stride_,
|  | const void * | data_
| ) |  | const

Parameters

  frame |
  attrib |
  stride |
  data |

void* evas::canvas3d::mesh::frame_vertex_data_map | ( | int | frame_,
|  | Evas_Canvas3D_Vertex_Attrib | attrib_
| ) |  | const

Parameters

  frame |
  attrib |

void evas::canvas3d::mesh::frame_vertex_data_unmap | ( | int | frame_,
|  | Evas_Canvas3D_Vertex_Attrib | attrib_
| ) |  | const

Parameters

  frame |
  attrib |

int evas::canvas3d::mesh::frame_vertex_stride_get | ( | int | frame_,
|  | Evas_Canvas3D_Vertex_Attrib | attrib_
| ) |  | const

Parameters

  frame |
  attrib |

void evas::canvas3d::mesh::index_data_set | ( | Evas_Canvas3D_Index_Format | format_,
|  | int | count_,
|  | const void * | indices_
| ) |  | const

Parameters

  format |
  count |
  indices |

void evas::canvas3d::mesh::convex_hull_data_get | ( | int | frame_,
|  | Eina_Inarray * | vertex_,
|  | Eina_Inarray * | index_
| ) |  | const

Parameters

  frame |
  vertex |
  index |

void evas::canvas3d::mesh::index_data_copy_set | ( | Evas_Canvas3D_Index_Format | format_,
|  | int | count_,
|  | const void * | indices_
| ) |  | const

Parameters

  format |
  count |
  indices |

bool evas::canvas3d::mesh::frame_exist | ( | int | frame_ | ) | const

Parameters

  frame |

void evas::canvas3d::mesh::frame_add | ( | int | frame_ | ) | const

Parameters

  frame |

void evas::canvas3d::mesh::frame_del | ( | int | frame_ | ) | const

Parameters

  frame |

void evas::canvas3d::mesh::fog_color_set | ( | Evas_Real | r_,
|  | Evas_Real | g_,
|  | Evas_Real | b_,
|  | Evas_Real | a_
| ) |  | const

Parameters

  r |
  g |
  b |
  a |

void evas::canvas3d::mesh::fog_color_get | ( | Evas_Real * | r_,
|  | Evas_Real * | g_,
|  | Evas_Real * | b_,
|  | Evas_Real * | a_
| ) |  | const

Parameters

  [out] | r |
  [out] | g |
  [out] | b |
  [out] | a |

void evas::canvas3d::mesh::blending_func_set | ( | Evas_Canvas3D_Blend_Func | sfactor_,
|  | Evas_Canvas3D_Blend_Func | dfactor_
| ) |  | const

Parameters

  sfactor |
  dfactor |

void evas::canvas3d::mesh::blending_func_get | ( | Evas_Canvas3D_Blend_Func * | sfactor_,
|  | Evas_Canvas3D_Blend_Func * | dfactor_
| ) |  | const

Parameters

  [out] | sfactor |
  [out] | dfactor |

void evas::canvas3d::mesh::from_primitive_set | ( | int | frame_,
|  | ::evas::canvas3d::primitive | primitive_
| ) |  | const

Parameters

  frame |
  primitive |